org.apache.ignite.ml.nn.architecture

## Class MLPArchitecture

- java.lang.Object
- - org.apache.ignite.ml.nn.architecture.MLPArchitecture

- All Implemented Interfaces:
    Serializable

      public class MLPArchitecture
      extends Object
      implements Serializable

  Class containing information about architecture of MLP.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLPArchitecture(int inputSize)` Construct an MLP architecture.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLPArchitecture` | `add(MLPArchitecture second)` Creates config describing network where first goes this config and after goes this method's argument.
    `int` | `inputSize()` Size of input of MLP.
    `LayerArchitecture` | `layerArchitecture(int layer)` Get architecture of layer with given index.
    `int` | `layersCount()` Count of layers in MLP.
    `int` | `outputSize()` Size of output of MLP.
    `int` | `parametersCount()` Count of parameters in this MLP architecture.
    `TransformationLayerArchitecture` | `transformationLayerArchitecture(int layer)` Get architecture of transformation layer (i.e. non-input layer) with given index.
    `MLPArchitecture` | `withAddedLayer(int neuronsCnt, boolean hasBias, IgniteDifferentiableDoubleToDoubleFunction f)` Constructs new MLP architecture with new layer added on top of all this architecture layers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLPArchitecture

          public MLPArchitecture(int inputSize)

      Construct an MLP architecture.
      Parameters:
        `inputSize` - Size of input to MLP.

  - ### Method Detail

    - #### layersCount

          public int layersCount()

      Count of layers in MLP.
      Returns:
        Layers count.

    - #### inputSize

          public int inputSize()

      Size of input of MLP.
      Returns:
        Size of input.

    - #### outputSize

          public int outputSize()

      Size of output of MLP.
      Returns:
        Size of output.

    - #### withAddedLayer

          public MLPArchitecture withAddedLayer(int neuronsCnt,
                                                boolean hasBias,
                                                IgniteDifferentiableDoubleToDoubleFunction f)

      Constructs new MLP architecture with new layer added on top of all this architecture layers.
      Parameters:
        `neuronsCnt` - Count of neurons in new layer.
        `hasBias` - Flag indicating presence of bias in added layer.
        `f` - Activation function of a new layer.
      Returns:
        New MLP architecture with new layer added on top of all this architecture layers.

    - #### layerArchitecture

          public LayerArchitecture layerArchitecture(int layer)

      Get architecture of layer with given index.
      Parameters:
        `layer` - Index of layer to get architecture from.
      Returns:
        Architecture of layer with given index.

    - #### transformationLayerArchitecture

          public TransformationLayerArchitecture transformationLayerArchitecture(int layer)

      Get architecture of transformation layer (i.e. non-input layer) with given index.
      Parameters:
        `layer` - Index of layer to get architecture from.
      Returns:
        Architecture of transformation layer with given index.

    - #### add

          public MLPArchitecture add(MLPArchitecture second)

      Creates config describing network where first goes this config and after goes this method's argument.
      Parameters:
        `second` - Config to add after this config.
      Returns:
        New combined configuration.

    - #### parametersCount

          public int parametersCount()

      Count of parameters in this MLP architecture.
      Returns:
        Parameters in this MLP architecture.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022